{
	"component": "form",
	"attribute": {
		"name": "_cha_Input",
		"style": ["position:absolute", "left:0px", "top:0px", "width:936px", "height:635px"]
	},
	"children": [
		{
			"attribute": {
				"name": "_CHA_HS_TABLE_CODE_ID",
				"style": ["position:absolute", "left:20px", "top:35px", "width:148px", "height:15px"],
				"type": "text",
				"value": "Taulun tunnus"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_FS_TABLE_CODE_ID",
				"style": ["position:absolute", "left:192px", "top:35px", "width:724px", "height:15px"],
				"type": "text",
				"value": "por_20190914.170204.m1002.por_ zzy9f45c89aa8dedrr"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_TYPE_",
				"style": ["position:absolute", "left:20px", "top:57px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Tyyppi"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_FL_TYPE_",
				"style": ["position:absolute", "left:192px", "top:57px", "width:100px", "height:15px"],
				"type": "text",
				"value": "1"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_BLOBSIZE",
				"style": ["position:absolute", "left:644px", "top:57px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Blobin koko"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_LBLOBSIZE",
				"style": [
					"position:absolute",
					"left:819px",
					"top:58px",
					"width:100px",
					"height:14px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_CHA_LBLOBSIZE"
		},
		{
			"attribute": {
				"name": "_CHA_HS_CREATOR_ID",
				"style": ["position:absolute", "left:20px", "top:78px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Tekijä/lukitsija"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_FS_CREATOR_ID",
				"style": ["position:absolute", "left:192px", "top:78px", "width:100px", "height:15px"],
				"type": "text",
				"value": "MG_PM"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_CREATION_DATE",
				"style": ["position:absolute", "left:332px", "top:78px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Luonti-/lukituspäivä"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_CREATION_TIME",
				"style": ["position:absolute", "left:644px", "top:78px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Luonti-/lukitusaika"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_MODIFIER_ID",
				"style": ["position:absolute", "left:20px", "top:99px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Muokkaaja/vapauttaja"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_FS_MODIFIER_ID",
				"style": ["position:absolute", "left:192px", "top:99px", "width:100px", "height:15px"],
				"type": "text",
				"value": "MG_PM"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_MODIFICATION_DATE",
				"style": ["position:absolute", "left:332px", "top:99px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Muutos-/vapautuspäivä"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_MODIFICATION_TIME",
				"style": ["position:absolute", "left:644px", "top:99px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Muutos-/vapautusaika"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_PROJECT_ID",
				"style": ["position:absolute", "left:20px", "top:120px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Projekti id"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_FS_PROJECT_ID",
				"style": ["position:absolute", "left:192px", "top:120px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_CUSTOMER_PROJECT",
				"style": ["position:absolute", "left:332px", "top:120px", "width:170px", "height:15px"],
				"type": "text",
				"value": "As. projekti"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_FS_CUSTOMER_PROJECT",
				"style": ["position:absolute", "left:504px", "top:120px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_TRANSFER_ID",
				"style": ["position:absolute", "left:644px", "top:120px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Siirtotunnus"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_FS_TRANSFER_ID",
				"style": ["position:absolute", "left:816px", "top:120px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_INFO",
				"style": ["position:absolute", "left:20px", "top:141px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Lisätietoja"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_FT_INFO",
				"style": ["position:absolute", "left:192px", "top:141px", "width:708px", "height:455px"],
				"type": "text",
				"value": "Muutos: MG_PM - 14/09/2019 - 17:02:04 Lisäys: MG_PM - 14/09/2019 - 17:02:04"
			},
			"component": "input"
		},
		{
			"attribute": {
				"name": "_CHA_HS_STATE",
				"style": ["position:absolute", "left:332px", "top:57px", "width:170px", "height:15px"],
				"type": "text",
				"value": "Lukitustila"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "_CHA_ASPOPSTATE",
				"style": ["position:absolute", "left:504px", "top:57px", "width:106px", "height:20px"]
			},
			"children": [
				{
					"attribute": {
						"value": "volvo"
					},
					"component": "option",
					"content": "Volvo"
				},
				{
					"attribute": {
						"value": "saab"
					},
					"component": "option",
					"content": "Saab"
				},
				{
					"attribute": {
						"value": "opel"
					},
					"component": "option",
					"content": "Opel"
				},
				{
					"attribute": {
						"value": "audi"
					},
					"component": "option",
					"content": "Audi"
				}
			],
			"component": "select"
		},
		{
			"attribute": {
				"name": "_FI_LPBPOPMODIFY",
				"style": [
					"position:absolute",
					"left:487px",
					"top:58px",
					"width:16px",
					"height:15px",
					"color: transparent",
					"background-color: transparent",
					"background-image:url(mg-res/resources/icons/pen.png)",
					"border:0px",
					"text-indent: 100%",
					"white-space: nowrap",
					"overflow: hidden"
				]
			},
			"component": "button",
			"content": "_FI_LPBPOPMODIFY"
		}
	],
	"comment": "ImageButton  _FI_LPBPOPMODIFY [484,57,16,16] \"/resources/icons/pen.png\" \"$7\" \"$8\" \"$9\""
}
